# enable_gtkdoc: whether gtk-doc stuff should be rebuilt.
#	0 = no
#	1 = yes
%define enable_gtkdoc 1

# End of user configurable section

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%define req_libxml2_version	2.4.10
%define req_atk_version		1.9.0
%define req_gtk_version		2.5.0

%define pkgname		libglade
%define api_version	2.0
%define lib_major	0
%define lib_name	%mklibname glade %{api_version} %{lib_major}

Summary:	Library for dynamically loading GLADE interface files
Name:		%{pkgname}%{api_version}
Version: 2.6.0
Release: %mkrel 1
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 2.5.1-3mdk fix some warnings (Fedora) (GNOME bug #121025)
Patch0:		libglade-2.0.1-nowarning.patch.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-buildroot

BuildConflicts:	libglade0-devel < 0.17

BuildRequires:	autoconf2.5
BuildRequires:	libxml2-devel >= %{req_libxml2_version}
BuildRequires:	libatk1.0-devel >= %{req_atk_version}
BuildRequires:	libgtk+2.0-devel >= %{req_gtk_version}
BuildRequires:	libglib2.0-devel >= 2.3.1
BuildRequires:	python >= 2.0
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif

%description
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.


%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}
Requires:	libxml2 >= %{req_libxml2_version}

%description -n %{lib_name}
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.


%package -n %{lib_name}-devel
Summary:	Libraries, includes, etc to develop libglade applications
Group:		Development/GNOME and GTK+
Conflicts:	libglade0-devel < 0.17
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	libgtk+2.0-devel >= %{req_gtk_version}
Requires:	libxml2-devel >= %{req_libxml2_version}
# $bindir/libglade-convert is python script
Requires:	python >= 2.0
Requires(post):     sgml-common >= 0.6.3-2mdk
Requires(postun):     sgml-common >= 0.6.3-2mdk


%description -n %{lib_name}-devel
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

This package contains static libraries, include files, etc so that
you can use to develop %{pkgname} applications.


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .warnings

%build
%configure2_5x \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# install test program
sh ./libtool --mode=install %{_bindir}/install test-libglade %{buildroot}%{_bindir}/test-libglade

# Make libglade own %{_libdir}/libglade
mkdir -p %{buildroot}%{_libdir}/libglade/%{api_version}

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --add "system" \
		"http://glade.gnome.org/glade-2.0.dtd" \
		%{_datadir}/xml/libglade/glade-2.0.dtd $CATALOG || true

%postun -n %{lib_name}-devel
# Do not remove if upgrade
if [ "$1" = "0" ]; then
 CATALOG=/etc/xml/catalog
 if [ -f $CATALOG -a -x %{_bindir}/xmlcatalog ]; then 
  %{_bindir}/xmlcatalog --noout --del \
         	%{_datadir}/xml/libglade/glade-2.0.dtd $CATALOG || true
 fi
fi

%files -n %{lib_name}
%defattr(-, root, root)
%doc README ChangeLog
%{_libdir}/lib*.so.*
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/%{api_version}

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS examples
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/*
%{_datadir}/xml/libglade
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.6.0-1mdv2007.0
- drop patch 1
- New release 2.6.0

* Fri Apr 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5.1-3mdk
- Patch0 (Fedora): fix some warnings (GNOME bug #121025)
- Patch1 (CVS): make non-ASCII invisible characters work (GNOME bug #321119)

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.5.1-2mdk
- replace prereq with new syntax
- Rebuild to get debug package

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.5.1-1mdk 
- Release 2.5.1 (based on Gtz Waschk package)

* Sat Feb 12 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- drop merged patch
- New release 2.4.2

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk 
- Patch0 (CVS): fix regressions (Mdk bug #12574)

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- reenable libtoolize
- drop patch
- New release 2.4.1

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch0 (CVS): fix accelerator not set when using stock entries

* Mon May 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0-1mdk
- fix source URL
- New release 2.4.0

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6 (with Gtz Waschk help)
- requires new glib2
- fix doc list
- requires new gtk
- don't run libtoolize
- don't regenerate the auto* stuff

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-6mdk
- Fix xml catalog registration (kudos to Abel Cheung)

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.1-5mdk
- Rebuild for latest provides

* Tue Jun  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.1-4mdk
- mklibnamification
- fix install scripts

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- libxml2-utils is needed for post/postun for devel package 

* Sat Nov  9 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.1-2mdk
- BuildRequires: autoconf2.5

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Thu Jul 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Fix catalog registration

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.12-1mdk
- Release 1.99.12

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.11-1mdk
- Release 1.99.11

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.10-1mdk
- Release 1.99.10

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-2mdk
- Fix bad dependencies

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-1mdk
- Initial Mandrake package (based on Abel Cheung work)
- Register dtd in xml catalog

* Mon Jan  7 2002 Abel Cheung <maddog@linux.org.hk> 1.99.5-1mdk
- 1.99.5
- Use makeinstall_std
- Requires/BuildRequires python
- Improve gnome-autogen process (don't run configure 2 times)

* Fri Dec  7 2001 Abel Cheung <maddog@linux.org.hk> 1.99.4-1mdk
- 1.99.4
- Use make install DESTDIR=...
- Use configure2_5x to specify build,host,target
- Specify required version for gnome-common
- Buildconflicts itself to prevent creating faulty package
- Specifying "env python" hack no more necessary now
- Remove outdated doc
- Always include gtk-doc stuff

* Sun Nov 11 2001 Abel Cheung <maddog@linux.org.hk> 1.99.3-2mdk
- Reworked patch0
- Corrected a few Requires
- Fixed wrong invoking of autogen scripts
- Rename name to libglade2_$major

* Fri Nov  2 2001 Abel Cheung <maddog@linux.org.hk> 1.99.3-1mdk
- 1.99.3
- libglade don't contain bonobo and gnome binding anymore
- Patch0 bzip2'ed and enabled
- Update {Build,}Requires

* Mon Oct  8 2001 Abel Cheung <maddog@linux.org.hk> 1.99.2-1mdk
- First Mandrake spec, based on original spec in CVS
